diff -ru nagios-2-x-cvs/daemon-init.in nagios-2-x-cvs-njv/daemon-init.in
--- nagios-2-x-cvs/daemon-init.in	2005-11-10 14:14:26.000000000 -0900
+++ nagios-2-x-cvs-njv/daemon-init.in	2006-07-13 11:48:11.570351000 -0800
@@ -24,6 +24,8 @@
 #  - Clean out redhat macros and other dependencies
 # 2003-01-11 Ethan Galstad <nagios@nagios.org>
 #  - Updated su syntax (Gary Miller)
+# 2006-07-13 Nathan Vonnahme <nathan.vonnahme@bannerhealth.com>
+#  - Add support for site-specific environment variables in a file named /etc/nagios/nagios_env
 #
 # Description: Starts and stops the Nagios monitor
 #              used to provide network services status.
@@ -82,6 +84,7 @@
 exec_prefix=@exec_prefix@
 NagiosBin=@bindir@/nagios
 NagiosCfgFile=@sysconfdir@/nagios.cfg
+NagiosEnvFile=@sysconfdir@/nagios_env
 NagiosStatusFile=@localstatedir@/status.dat
 NagiosTempFile=@localstatedir@/nagios.tmp
 NagiosRetentionFile=@localstatedir@/retention.dat
@@ -93,7 +96,11 @@
 NagiosCGIDir=@sbindir@
 NagiosUser=@nagios_user@
 NagiosGroup=@nagios_grp@
-          
+
+# load  site-specific environment variables         
+if [ -f $NagiosEnvFile ]; then
+    . $NagiosEnvFile
+fi
 
 # Check that nagios exists.
 if [ ! -f $NagiosBin ]; then
diff -ru nagios-2-x-cvs/Makefile.in nagios-2-x-cvs-njv/Makefile.in
--- nagios-2-x-cvs/Makefile.in	2006-05-30 08:31:44.000000000 -0800
+++ nagios-2-x-cvs-njv/Makefile.in	2006-07-13 11:56:40.006031000 -0800
@@ -217,6 +217,7 @@
 	$(INSTALL) -m 664 $(INSTALL_OPTS) sample-config/nagios.cfg $(DESTDIR)$(CFGDIR)/nagios.cfg-sample
 	$(INSTALL) -m 664 $(INSTALL_OPTS) sample-config/cgi.cfg $(DESTDIR)$(CFGDIR)/cgi.cfg-sample
 	$(INSTALL) -m 660 $(INSTALL_OPTS) sample-config/resource.cfg $(DESTDIR)$(CFGDIR)/resource.cfg-sample
+	$(INSTALL) -m 660 $(INSTALL_OPTS) sample-config/nagios_env $(DESTDIR)$(CFGDIR)/nagios_env-sample
 	$(INSTALL) -m 664 $(INSTALL_OPTS) sample-config/template-object/bigger.cfg $(DESTDIR)$(CFGDIR)/bigger.cfg-sample
 	$(INSTALL) -m 664 $(INSTALL_OPTS) sample-config/template-object/minimal.cfg $(DESTDIR)$(CFGDIR)/minimal.cfg-sample
 	$(INSTALL) -m 664 $(INSTALL_OPTS) sample-config/template-object/checkcommands.cfg $(DESTDIR)$(CFGDIR)/checkcommands.cfg-sample
Only in nagios-2-x-cvs-njv/sample-config: nagios_env
